<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.busi.mapper.BusiUserLoveMapper">
    
    <resultMap type="BusiUserLove" id="BusiUserLoveResult">
        <result property="id"    column="id"    />
        <result property="userId"    column="user_id"    />
        <result property="loveUserId"    column="love_user_id"    />
        <result property="creator"    column="creator"    />
        <result property="createTime"    column="create_time"    />
    </resultMap>

    <sql id="selectBusiUserLoveVo">
        select id, user_id, love_user_id, creator, create_time from dl_busi_user_love
    </sql>

    <select id="queryListPage" parameterType="BusiUserLove" resultMap="BusiUserLoveResult">
        <include refid="selectBusiUserLoveVo"/>
        <where>
                        <if test="entity.userId != null "> and user_id = #{entity.userId}</if>
                        <if test="entity.loveUserId != null "> and love_user_id = #{entity.loveUserId}</if>
        </where>
    </select>
</mapper>